# Class: nginx
#
#
class nginx {
    $nginx_user = $operatingsystem ? {
        /(?i:Debian|Ubuntu)/ => "www-data",
        default => "nginx",
    }
    
    package { "nginx":
        ensure => installed,
    }

    service{ "nginx":
        ensure => running,
        enable => true,
        hasrestart  => true,
        hasstatus   => true,
        require => Package["nginx"],
    }

    file { "/etc/nginx/nginx.conf":
        content => template("nginx/nginx.conf.erb"),
        require => Package["nginx"],
        notify => Service["nginx"],
    }
}
