class rabbitmq {
    package { "rabbitmq":
        name    => "rabbitmq-server",
        ensure  => installed,
    }

    package { "qpid-cpp-server":
        ensure => absent,
        require => Package["rabbitmq"],
    }

    service{ "rabbitmq":
        name        => "rabbitmq-server",
        ensure      => running,
        enable      => true,
        hasrestart  => true,
        hasstatus   => true,
        require     => Package["rabbitmq"],
    }

    rabbitmq_user { "$baruwa_rabbitmq_user":
        admin    => false,
        password => "$baruwa_rabbitmq_passwd",
        provider => 'rabbitmqctl',
        require => Service["rabbitmq"],
    }

    rabbitmq_vhost { "$baruwa_rabbitmq_vhost":
        ensure      => present,
        provider    => 'rabbitmqctl',
        require => Service["rabbitmq"],
    }

    rabbitmq_user_permissions { "$baruwa_rabbitmq_user@$baruwa_rabbitmq_vhost":
        configure_permission    => '.*',
        read_permission         => '.*',
        write_permission        => '.*',
        provider                => 'rabbitmqctl',
        require                 => Service["rabbitmq"],
    }

    rabbitmq_user { "guest":
        ensure      => absent,
        provider    => 'rabbitmqctl',
        require => Service["rabbitmq"],
    }
}
