# Class: sphinx
#
#
class sphinx {
    $sphinx_path = $operatingsystem ? {
        /(?i:Debian|Ubuntu)/ => "sphinxsearch",
        default => "sphinx",
    }

    package { "sphinx":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "sphinxsearch",
            default => "sphinx",
        },
        ensure => installed,
        require => Service["postgresql"],
    }

    service { "sphinx":
        name => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "sphinxsearch",
            default => "searchd",
        },
        ensure => running,
        enable => true,
        hasstatus  => true,
        hasrestart => true,
        require => File["sphinx"],
    }

    file { "sphinx":
        path => $operatingsystem ? {
            /(?i:Debian|Ubuntu)/ => "/etc/sphinxsearch/sphinx.conf",
            default => "/etc/sphinx/sphinx.conf",
        },
        content => template("sphinx/sphinx.conf.erb"),
        require => Package["sphinx"],
        owner => "root",
        group => "root",
        mode => "0644",
        notify => Service["sphinx"],
    }

    if $operatingsystem in ['Ubuntu', 'Debian'] {
        file { "/etc/default/sphinxsearch":
            owner => "root",
            group => "root",
            mode => "0644",
            content => template("sphinx/default.erb"),
            require => Package["sphinx"],
            notify => Service["sphinx"],
        }
    }
}
